<!DOCTYPE html>
<html lang="en">
  <head>
    <title>CSS Challenge</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!-- Load Bootstrap -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
      crossorigin="anonymous"
    ></script>

    <style>
      .card {
        max-width: 420px;
        min-width: 420px;

        margin: auto;
      }

      /* Add custom CSS for responsiveness */
      .bg {
        background-color: #f0f0f0 !important;
      }

      .badge {
        right: -45px;
        top: -11px;
        font-size: small;
      }
      .btn-group > .btn-group:last-child > .btn,
      .btn-group > .btn:last-child:not(.dropdown-toggle) {
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
      }
    </style>
  </head>

  <div class="container mt-5">
    <div class="card shadow bg">
      <span
        class="position-absolute top-0 translate-middle badge rounded-pill bg-danger"
        >+123</span
      >
      <div class="card-body">
        <h5 class="card-title fw-bolder">Excercise</h5>

        <p class="card-text h6 mt-4">
          Redo this card in css and if possible using bootstrap 4 or 5
        </p>

        <div
          class="btn-group float-end"
          role="group"
          aria-label="Button group with nested dropdown"
        >
          <div class="btn-group" role="group" aria-label="first group">
            <button type="button" class="btn btn-dark fw-bolder">Got it</button>

            <button type="button" class="btn border-dark fw-bolder">
              I don't know
            </button>
          </div>
          <div class="btn-group ms-2" role="group" aria-label="second group">
            <button
              id="btnGroupDrop1"
              type="button"
              class="btn rounded btn-secondary fw-bolder"
              data-bs-toggle="dropdown"
              aria-expanded="false"
            >
              Options
            </button>
            <ul class="dropdown-menu" aria-labelledby="btnGroupDrop1">
              <li><a class="dropdown-item" href="#">link1 </a></li>
              <li><a class="dropdown-item" href="#">link 2 </a></li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</html>
